You are not logged in.

#1 2005-04-19 04:53:11

Wubbeneezer
Member
From: Northern California
Registered: 2005-03-12
Posts: 13

Trouble installing k3b: cdrtools conflict

Hi, I'm having trouble installing k3b. Long story short, when I try to install it pacman tells me there is a conflict with cdrtools. I figure that since k3b will bring in cdrtools I can just uninstall cdrtools and then install k3b. When I try to remove cdrtools using 'pacman -R cdrtools' I am told that it isn't in the database. What gives? Thanks for any wisdom you might share. I'm fairly Linux-savvy after 7 months but I'm new to Arch and am learning how Pacman works.

[root@pepper ~]# pacman -Syu
:: Synchronizing package databases...
:: current is up to date
:: extra is up to date
[root@pepper ~]# pacman -S k3b

Targets: cdrtools-2.01-3 normalize-0.7.6-1 sox-12.17.7-1 id3lib-3.8.3-4
         k3b-0.11.23-1

Total Package Size:   6.0 MB

Proceed with upgrade? [Y/n] Y

checking package integrity... done.
loading package data... done.
checking for file conflicts...
error: the following file conflicts were found:
  cdrtools: /usr/bin/cdda2wav: exists in filesystem
  cdrtools: /usr/bin/devdump: exists in filesystem
  cdrtools: /usr/bin/isodump: exists in filesystem
  cdrtools: /usr/bin/isoinfo: exists in filesystem
  cdrtools: /usr/bin/isovfy: exists in filesystem
  cdrtools: /usr/bin/mkisofs: exists in filesystem
  cdrtools: /usr/bin/readcd: exists in filesystem
  cdrtools: /usr/man/man1/cdda2wav.1.gz: exists in filesystem
  cdrtools: /usr/man/man1/readcd.1.gz: exists in filesystem
  cdrtools: /usr/man/man8/isoinfo.8.gz: exists in filesystem
  cdrtools: /usr/man/man8/mkisofs.8.gz: exists in filesystem


errors occurred, no packages were upgraded.

[root@pepper ~]# pacman -R cdrtools
error: could not find cdrtools in database

[root@pepper ~]#  

When all is said and done,
There's nothing left to say or do.

Offline

#2 2005-04-19 06:38:45

Snowman
Developer/Forum Fellow
From: Montreal, Canada
Registered: 2004-08-20
Posts: 5,212

Re: Trouble installing k3b: cdrtools conflict

The conflicting files belongs to the cdrtools package (I've checked with pacman -Qo /path/to/file on my system).  It seems that pacman doesn't know that they belong to the cdrtools package.  You can force the install:
pacman -Sf k3b

Offline

#3 2005-04-19 20:57:08

Wubbeneezer
Member
From: Northern California
Registered: 2005-03-12
Posts: 13

Re: Trouble installing k3b: cdrtools conflict

Hey thanks, Snowman, that brought K3B right in. I had read about the -f option but I was a little wary about using it and wasn't sure whether to force removal of cdrtools or force installation of K3B. Thanks again!


When all is said and done,
There's nothing left to say or do.

Offline

#4 2005-04-19 21:19:33

scarecrow
Member
From: Greece
Registered: 2004-11-18
Posts: 714

Re: Trouble installing k3b: cdrtools conflict

K3B does need cdrtools to work... what was left there was probably an older cdrtools version installation, which pacman was unable to detect and remove first. Are you sure you didn't delete anything by accident from /var/lib/pacman ?


Microshaft delenda est

Offline

Board footer

Powered by FluxBB